---
title: SensorErrorEvent.error
slug: Web/API/SensorErrorEvent/error
tags:
  - API
  - Error
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - SensorErrorEvent
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>error</code></strong> read-only property of the {{domxref("SensorErrorEvent")}} interface returns the {{domxref('DOMException')}} object passed in the event's contructor. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>domException</var> = <var>sensorErrorEvent</var>.error;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('DOMException')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#sensor-error-event-error','error')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SensorErrorEvent.error")}}</p>
